Bug 230175 - hard lockup during cvsps run
Summary: hard lockup during cvsps run
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 6
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard: bzcl34nup
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-27 00:16 UTC by J. Bruce Fields
Modified: 2008-05-01 20:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-01 20:21:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description J. Bruce Fields 2007-02-27 00:16:07 UTC
Description of problem:  I'm running

  cvsps -d '4 days ago'

in a big CVS repository originally checked out with (approximately)

  CVS_RSH=ssh cvs -d anoncvs@anoncvs.citi.umich.edu:/cvs pnfs

(password anoncvs)

After running a minute or so, the machine locks up.  Not necessarily at the same
point each time.

Mouse doesn't move, magic sysrq keys don't work, I can't ping the machine; only
the power button works.

Version-Release number of selected component (if applicable):
kernel-2.6.19-1.2911.fc6


How reproducible:

See above.  I'll try to find a simpler test case.

Additional info:

This is on a thinkpad x60 tablet--core duo, intel gigE, SATA, etc; let me know
what details would be useful.

I'm at a bit of a loss as to how to debug this....

Comment 1 Dave Jones 2007-03-19 20:32:39 UTC
Can you try installing kernel-debug and booting that image instead ? It turns on
lockdep, slab debug etc etc.. which might give some clues.


Comment 2 J. Bruce Fields 2007-03-20 18:13:20 UTC
Unfortunately I haven't been able to reproduce the problem after several tries
with 2.6.20-1.2925.fc6debug, though I verified that I could on the first try
with 2.6.20-1.2925.fc6.

Comment 3 Bug Zapper 2008-04-04 06:23:12 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 4 J. Bruce Fields 2008-04-05 21:37:54 UTC
Sorry for not following up before; I *believe* the problem actually went away
after upgrades (so, presumably, it was fixed).  *But* I had other problems
(totally unrelated to the OS) with that hardware, and ended up having to return
it, so I can no longer confirm the fix with 100% certainty.  In any case, it
should be closed.  (But, apologies, I'm not quite sure how....)

Comment 5 John Poelstra 2008-05-01 20:21:05 UTC
thanks for the update


Note You need to log in before you can comment on or make changes to this bug.